rultor.com logo This build log was produced by rultor.com for yegor256/0pdd#730
+ set -e
+ set -o pipefail
++ dirname ./run.sh
+ cd .
+ echo 1357
+ echo '2.0-SNAPSHOT BUILD'
2.0-SNAPSHOT BUILD
+ date
Thu Dec 12 23:27:49 UTC 2024
+ uptime
 23:27:49 up 1 min,  0 users,  load average: 1.50, 0.49, 0.17
+ ff=default
+ image=yegor256/rultor-image:1.22.0
+ rebase=false
+ head_branch=master
+ pull_title='Update dependency aws-sdk-s3 to v1.176.1'
+ author=yegor256
+ directory=
+ head=git@github.com:yegor256/0pdd.git
+ pull_id=730
+ fork=git@github.com:yegor256/0pdd.git
+ fork_branch=renovate/aws-sdk-s3-1.x
+ squash=false
+ vars=('--env=head=git@github.com:yegor256/0pdd.git' '--env=pull_id=730' '--env=fork=git@github.com:yegor256/0pdd.git' '--env=fork_branch=renovate/aws-sdk-s3-1.x' '--env=head_branch=master' '--env=pull_title=Update dependency aws-sdk-s3 to v1.176.1' '--env=author=yegor256' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/0pdd.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''pull_id=730'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''fork=git@github.com:yegor256/0pdd.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''fork_branch=renovate/aws-sdk-s3-1.x'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''pull_title=Update dependency aws-sdk-s3 to v1.176.1'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''git config --global user.email "server@0pdd.com"'\'' '\'';'\'' '\''git config --global user.name "0pdd.com"'\'' '\'';'\'' '\''sudo gem install pdd'\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' )')
+ scripts=('export '\''head=git@github.com:yegor256/0pdd.git'\''' ';' 'export '\''pull_id=730'\''' ';' 'export '\''fork=git@github.com:yegor256/0pdd.git'\''' ';' 'export '\''fork_branch=renovate/aws-sdk-s3-1.x'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''pull_title=Update dependency aws-sdk-s3 to v1.176.1'\''' ';' 'export '\''author=yegor256'\''' ';' 'git config --global user.email "server@0pdd.com"' ';' 'git config --global user.name "0pdd.com"' ';' 'sudo gem install pdd' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' 'bundle exec rake' ';')
+ container=yegor256_0pdd_730
+ as_root=false
+ hostname
ip-172-31-24-115
+ pwd
/tmp/rultor-2iSm
+ git --version
git version 2.34.1
+ docker --version
Docker version 25.0.3, build 4debf41
+ mkdir -p /home/ubuntu/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/ubuntu/.ssh/config
+ git clone git@github.com:yegor256/0pdd.git repo
Cloning into 'repo'...
Warning: Permanently added 'github.com' (ED25519) to the list of known hosts.
+ cd repo
+ git config user.email me@rultor.com
+ git config user.name rultor
+ '[' -z 'export '\''head=git@github.com:yegor256/0pdd.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:yegor256/0pdd.git'\''' ';' 'export '\''pull_id=730'\''' ';' 'export '\''fork=git@github.com:yegor256/0pdd.git'\''' ';' 'export '\''fork_branch=renovate/aws-sdk-s3-1.x'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''pull_title=Update dependency aws-sdk-s3 to v1.176.1'\''' ';' 'export '\''author=yegor256'\''' ';' 'git config --global user.email "server@0pdd.com"' ';' 'git config --global user.name "0pdd.com"' ';' 'sudo gem install pdd' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' 'bundle exec rake' ';'
+ sensitive=('config.yml')
+ rm -rf .gnupg
+ cd repo
+ git remote add fork git@github.com:yegor256/0pdd.git
+ git remote update
Fetching origin
Fetching fork
From github.com:yegor256/0pdd
 * [new branch]      dependabot/bundler/nokogiri-1.16.2 -> fork/dependabot/bundler/nokogiri-1.16.2
 * [new branch]      master                  -> fork/master
 * [new branch]      renovate/aws-sdk-dynamodb-1.x -> fork/renovate/aws-sdk-dynamodb-1.x
 * [new branch]      renovate/aws-sdk-s3-1.x -> fork/renovate/aws-sdk-s3-1.x
 * [new branch]      renovate/rubygems-sinatra-vulnerability -> fork/renovate/rubygems-sinatra-vulnerability
 * [new branch]      renovate/sinatra-contrib-4.x -> fork/renovate/sinatra-contrib-4.x
 * [new branch]      renovate/ubuntu-24.x    -> fork/renovate/ubuntu-24.x
+ args=
+ '[' default == default ']'
+ args=' --ff'
+ '[' default == no ']'
+ '[' default == only ']'
+ export BRANCH=__rultor
+ BRANCH=__rultor
++ wc -l
++ git show-branch __rultor
+ '[' 0 -gt 0 ']'
+ git status
On branch master
Your branch is up to date with 'origin/master'.

nothing to commit, working tree clean
+ git checkout -B __rultor fork/renovate/aws-sdk-s3-1.x
Switched to a new branch '__rultor'
Branch '__rultor' set up to track remote branch 'renovate/aws-sdk-s3-1.x' from 'fork'.
+ git checkout -B master origin/master
Switched to and reset branch 'master'
Branch 'master' set up to track remote branch 'master' from 'origin'.
Your branch is up to date with 'origin/master'.
+ '[' false == true ']'
+ '[' false == true ']'
+ git merge --ff __rultor
Updating 0e48c9f..50fab7f
Fast-forward
 Gemfile      | 2 +-
 Gemfile.lock | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
+ docker_when_possible
+ true
++ tail -n 1
++ sed 's/ /\n/g'
++ uptime
+ load=0.18
++ bc
++ echo 0.18 '>' 30
+ '[' 0 -eq 1 ']'
+ echo 'load average is 0.18, low enough to run a new Docker container'
load average is 0.18, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/rultor-image:1.22.0
+ docker pull yegor256/rultor-image:1.22.0
1.22.0: Pulling from yegor256/rultor-image
Digest: sha256:0e360fba8fb992c4c6cb495ddefdf5ecbc0f3edb887dd12deefd4af4b2a13272
Status: Image is up to date for yegor256/rultor-image:1.22.0
docker.io/yegor256/rultor-image:1.22.0
+ grep --quiet '\syegor256_0pdd_730\s*$'
+ docker ps --filter=status=exited
+ ls -al .
total 60
drwx------  3 ubuntu ubuntu 4096 Dec 12 23:27 .
drwxrwxrwt 12 root   root   4096 Dec 12 23:27 ..
-rw-rw-r--  1 ubuntu ubuntu 4066 Dec 12 23:27 config.yml
-rwxrwxr-x  1 ubuntu ubuntu 2090 Dec 12 23:27 end.sh
-rwxrwxr-x  1 ubuntu ubuntu  490 Dec 12 23:27 entry.sh
-rw-rw-r--  1 ubuntu ubuntu 1679 Dec 12 23:27 id_rsa
-rw-rw-r--  1 ubuntu ubuntu  396 Dec 12 23:27 id_rsa.pub
-rw-rw-r--  1 ubuntu ubuntu    5 Dec 12 23:27 pid
drwxrwxr-x 14 ubuntu ubuntu 4096 Dec 12 23:27 repo
-rwxrwxr-x  1 ubuntu ubuntu 9315 Dec 12 23:27 run.sh
-rw-rw-r--  1 ubuntu ubuntu  650 Dec 12 23:27 script.sh
-rw-rw-r--  1 ubuntu ubuntu 5881 Dec 12 23:27 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-2iSm:/main --env=head=git@github.com:yegor256/0pdd.git --env=pull_id=730 --env=fork=git@github.com:yegor256/0pdd.git --env=fork_branch=renovate/aws-sdk-s3-1.x --env=head_branch=master '--env=pull_title=Update dependency aws-sdk-s3 to v1.176.1' --env=author=yegor256 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:yegor256/0pdd.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''pull_id=730'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''fork=git@github.com:yegor256/0pdd.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''fork_branch=renovate/aws-sdk-s3-1.x'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''pull_title=Update dependency aws-sdk-s3 to v1.176.1'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''git config --global user.email "server@0pdd.com"'\'' '\'';'\'' '\''git config --global user.name "0pdd.com"'\'' '\'';'\'' '\''sudo gem install pdd'\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' )' --hostname=docker --privileged --net=host --memory=8g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-2iSm/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=yegor256_0pdd_730 yegor256/rultor-image:1.22.0 /main/entry.sh
WARNING: Your kernel does not support OomKillDisable. OomKillDisable discarded.
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
++ awk -F : '$3 > 100 { print $1 }'
++ cat /etc/group
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G nogroup r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G systemd-journal r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G systemd-network r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G systemd-resolve r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G messagebus r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G systemd-timesync r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G _ssh r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G rvm r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G ssl-cert r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G postgres r
+ for g in $(cat /etc/group | awk  -F  ':' '$3 > 100 { print $1 }')
+ usermod -a -G r r
+ usermod -s /bin/bash r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.cargo /root/.config /root/.gem /root/.gemrc /root/.launchpadlib /root/.m2 /root/.npm /root/.profile /root/.rustup /root/.rvmrc /root/texmf /home/r
+ cp -R ./cid ./config.yml ./end.sh ./entry.sh ./id_rsa ./id_rsa.pub ./pid ./repo ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ cat /home/r/script.sh
#!/bin/bash
set -e
set -o pipefail
if [ -e /home/r/.profile ]; then source /home/r/.profile; fi
shopt -s expand_aliases
alias 'sudo=sudo -i'
export HOME=/home/r
cd "${HOME}/repo"
export 'head=git@github.com:yegor256/0pdd.git' ; export 'pull_id=730' ; export 'fork=git@github.com:yegor256/0pdd.git' ; export 'fork_branch=renovate/aws-sdk-s3-1.x' ; export 'head_branch=master' ; export 'pull_title=Update dependency aws-sdk-s3 to v1.176.1' ; export 'author=yegor256' ; git config --global user.email "server@0pdd.com" ; git config --global user.name "0pdd.com" ; sudo gem install pdd ; pdd -f /dev/null ; bundle install --no-color ; bundle exec rake ;
+ su --login r --command /home/r/script.sh
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
sudo: unable to resolve host docker: Temporary failure in name resolution
Using /usr/local/rvm/gems/ruby-3.2.2
Using /usr/local/rvm/gems/ruby-3.2.2
Fetching pdd-0.24.0.gem
Successfully installed pdd-0.24.0
1 gem installed

A new release of RubyGems is available: 3.4.10 → 3.5.23!
Run `gem update --system 3.5.23` to update your installation.

Found 9 lines in /home/r/repo/.pdd
My version is 0.24.0
Ruby version is 3.2.2 at x86_64-linux
Reading from root dir .
Excluding README.md
Excluding coverage/**/*
Excluding assets/**/*
Excluding model/data/**/*
/usr/local/rvm/gems/ruby-3.2.2/gems/pdd-0.24.0/lib/pdd/sources.rb:90: warning: undefining the allocator of T_DATA class FileMagic
/home/r/repo/app.json is a binary file (254 bytes)
/home/r/repo/doc/integration.svg is a binary file (6049 bytes)
/home/r/repo/dynamodb-local/tables/0pdd-events.json is a binary file (972 bytes)
/home/r/repo/public/images/git-logo.svg is a binary file (1713 bytes)
/home/r/repo/public/images/logo-512.png is a binary file (34412 bytes)
/home/r/repo/public/images/logo-64.png is a binary file (4207 bytes)
/home/r/repo/public/images/logo.svg is a binary file (1076 bytes)
/home/r/repo/public/images/ruby-logo.svg is a binary file (23450 bytes)
/home/r/repo/renovate.json is a binary file (107 bytes)
Reading .0pdd.yml ...
Reading .gitattributes ...
Reading .github/workflows/codecov.yml ...
Reading .github/workflows/pdd.yml ...
Reading .github/workflows/plantuml.yml ...
Reading .github/workflows/rake.yml ...
Reading .gitignore ...
Reading .pdd ...
Reading .rubocop.yml ...
Reading .rultor.yml ...
Reading .simplecov ...
Reading 0pdd.rb ...
Puzzle 572-65f83727 60/DEV at 0pdd.rb
Reading Aptfile ...
Reading Gemfile ...
Reading Gemfile.lock ...
Reading LICENSE.txt ...
Reading Procfile ...
Reading Rakefile ...
Reading config.ru ...
Reading cucumber.yml ...
Reading deploy.sh ...
Reading doc/integration.puml ...
Reading dynamodb-local/config/dynamo.yml ...
Reading dynamodb-local/pom.xml ...
Reading features/step_definitions/steps.rb ...
Reading model/README.md ...
Reading model/fake_weights_storage.rb ...
Reading model/linear.rb ...
Puzzle 532-a6c77906 60/DEV at model/linear.rb
Puzzle 532-c8e80cf1 60/DEV at model/linear.rb
Reading model/predictor.rb ...
Reading model/pso/lib/function.rb ...
Reading model/pso/lib/functions/rastrigin.rb ...
Reading model/pso/lib/functions/schwefel.rb ...
Reading model/pso/lib/solver.rb ...
Reading model/pso/lib/version.rb ...
Reading model/pso/lib/zero_vector.rb ...
Reading model/pso/pso.rb ...
Reading model/storage.rb ...
Reading nginx.conf.sigil ...
Reading objects/clients/github.rb ...
Reading objects/clients/gitlab.rb ...
Reading objects/clients/jira.rb ...
Reading objects/diff.rb ...
Reading objects/dynamo.rb ...
Reading objects/exec.rb ...
Reading objects/git_repo.rb ...
Reading objects/invitations/github_invitations.rb ...
Reading objects/invitations/github_organization_invitations.rb ...
Reading objects/jobs/job.rb ...
Reading objects/jobs/job_commiterrors.rb ...
Reading objects/jobs/job_detached.rb ...
Reading objects/jobs/job_emailed.rb ...
Reading objects/jobs/job_recorded.rb ...
Reading objects/jobs/job_starred.rb ...
Reading objects/log.rb ...
Puzzle 312-68d60ea6 30/DEV at objects/log.rb
Reading objects/maybe_text.rb ...
Reading objects/puzzles.rb ...
Puzzle 532-cf0ceb1a 60/DEV at objects/puzzles.rb
Reading objects/storage/cached_storage.rb ...
Reading objects/storage/logged_storage.rb ...
Reading objects/storage/once_storage.rb ...
Reading objects/storage/s3.rb ...
Reading objects/storage/safe_storage.rb ...
Reading objects/storage/sync_storage.rb ...
Reading objects/storage/upgraded_storage.rb ...
Reading objects/storage/versioned_storage.rb ...
Reading objects/templates/github_tickets_body.haml ...
Reading objects/templates/gitlab_tickets_body.haml ...
Reading objects/templates/jira_tickets_body.haml ...
Reading objects/tickets/commit_tickets.rb ...
Reading objects/tickets/emailed_tickets.rb ...
Reading objects/tickets/logged_tickets.rb ...
Reading objects/tickets/milestone_tickets.rb ...
Reading objects/tickets/sentry_tickets.rb ...
Reading objects/tickets/tagged_tickets.rb ...
Reading objects/tickets/tickets.rb ...
Reading objects/truncated.rb ...
Reading objects/user_error.rb ...
Reading objects/vcs/github.rb ...
Puzzle 312-e81466ef 30/DEV at objects/vcs/github.rb
Reading objects/vcs/gitlab.rb ...
Reading objects/vcs/jira.rb ...
Reading test/fake_github.rb ...
Reading test/fake_gitlab.rb ...
Reading test/fake_log.rb ...
Reading test/fake_repo.rb ...
Reading test/fake_storage.rb ...
Reading test/fake_tickets.rb ...
Reading test/test_0pdd.rb ...
Reading test/test__helper.rb ...
Reading test/test_cached_storage.rb ...
Reading test/test_commit_tickets.rb ...
Reading test/test_credentials.rb ...
Reading test/test_diff.rb ...
Reading test/test_diff_complicated.rb ...
Puzzle 234-12f515de 15/DEV at test/test_diff_complicated.rb
Reading test/test_exec.rb ...
Reading test/test_git_repo.rb ...
Reading test/test_github.rb ...
Reading test/test_github_invitations.rb ...
Reading test/test_github_tickets.rb ...
Reading test/test_gitlab.rb ...
Reading test/test_job.rb ...
Reading test/test_job_commiterrors.rb ...
Reading test/test_job_detached.rb ...
Reading test/test_job_emailed.rb ...
Reading test/test_log.rb ...
Reading test/test_logged_storage.rb ...
Reading test/test_logged_tickets.rb ...
Reading test/test_maybe_text.rb ...
Reading test/test_milestone_tickets.rb ...
Reading test/test_once_storage.rb ...
Reading test/test_puzzles.rb ...
Reading test/test_safe_storage.rb ...
Reading test/test_sentry_tickets.rb ...
Reading test/test_truncated.rb ...
Reading test/test_upgraded_storage.rb ...
Reading test/test_versioned_storage.rb ...
Reading test-assets/puzzles/closes-one-puzzle.xml ...
Reading test-assets/puzzles/ignores-unknown-issues.xml ...
Reading test-assets/puzzles/notify-unknown-open-issues.xml ...
Reading test-assets/puzzles/simple.xml ...
Reading test-assets/puzzles/submits-old-puzzles.xml ...
Reading test-assets/puzzles/submits-ranked-puzzles.xml ...
Reading test-assets/puzzles/submits-three-tickets.xml ...
Reading version.rb ...
Reading views/_footer.haml ...
Reading views/_header.haml ...
Reading views/error.haml ...
Reading views/error_400.haml ...
Reading views/index.haml ...
Reading views/item.haml ...
Reading views/layout.haml ...
Reading views/log.haml ...
Reading views/not_found.haml ...
Bundler 2.4.10 is running, but your lockfile was generated with 2.5.6. Installing Bundler 2.5.6 and restarting using that version.
Fetching gem metadata from https://rubygems.org/.
Fetching bundler 2.5.6
Installing bundler 2.5.6
Fetching gem metadata from https://rubygems.org/..........
Fetching rake 13.2.1
Installing rake 13.2.1
Fetching base64 0.2.0
Installing base64 0.2.0
Fetching bigdecimal 3.1.8
Installing bigdecimal 3.1.8 with native extensions
Fetching concurrent-ruby 1.2.3
Installing concurrent-ruby 1.2.3
Fetching connection_pool 2.4.1
Installing connection_pool 2.4.1
Fetching drb 2.2.0
Installing drb 2.2.0
Fetching i18n 1.14.1
Installing i18n 1.14.1
Fetching minitest 5.22.2
Installing minitest 5.22.2
Fetching mutex_m 0.2.0
Installing mutex_m 0.2.0
Fetching tzinfo 2.0.6
Installing tzinfo 2.0.6
Fetching activesupport 7.1.3
Installing activesupport 7.1.3
Fetching public_suffix 5.1.1
Installing public_suffix 5.1.1
Fetching addressable 2.8.7
Installing addressable 2.8.7
Fetching ast 2.4.2
Installing ast 2.4.2
Fetching jwt 2.7.1
Installing jwt 2.7.1
Fetching atlassian-jwt 0.2.1
Installing atlassian-jwt 0.2.1
Fetching aws-eventstream 1.3.0
Installing aws-eventstream 1.3.0
Fetching aws-partitions 1.1017.0
Installing aws-partitions 1.1017.0
Fetching aws-sigv4 1.10.1
Installing aws-sigv4 1.10.1
Fetching jmespath 1.6.2
Installing jmespath 1.6.2
Fetching aws-sdk-core 3.214.0
Installing aws-sdk-core 3.214.0
Fetching aws-sdk-dynamodb 1.111.0
Installing aws-sdk-dynamodb 1.111.0
Fetching aws-sdk-kms 1.96.0
Installing aws-sdk-kms 1.96.0
Fetching aws-sdk-s3 1.176.1
Installing aws-sdk-s3 1.176.1
Fetching base58 0.2.3
Installing base58 0.2.3
Fetching strscan 3.1.0
Installing strscan 3.1.0 with native extensions
Fetching rexml 3.3.6
Installing rexml 3.3.6
Fetching crack 1.0.0
Installing crack 1.0.0
Fetching csv 3.3.0
Installing csv 3.3.0
Fetching date 3.3.4
Installing date 3.3.4 with native extensions
Fetching docile 1.4.0
Installing docile 1.4.0
Fetching uri 0.13.1
Installing uri 0.13.1
Fetching net-http 0.4.1
Installing net-http 0.4.1
Fetching faraday-net_http 3.3.0
Installing faraday-net_http 3.3.0
Fetching json 2.9.0
Installing json 2.9.0 with native extensions
Fetching logger 1.6.2
Installing logger 1.6.2
Fetching faraday 2.12.2
Installing faraday 2.12.2
Fetching ffi 1.16.3
Installing ffi 1.16.3 with native extensions
Fetching mini_mime 1.1.5
Installing mini_mime 1.1.5
Fetching multi_xml 0.7.1
Installing multi_xml 0.7.1
Fetching httparty 0.22.0
Installing httparty 0.22.0
Fetching unicode-display_width 2.6.0
Installing unicode-display_width 2.6.0
Fetching terminal-table 3.0.2
Installing terminal-table 3.0.2
Fetching gitlab 5.1.0
Installing gitlab 5.1.0
Fetching openssl 3.2.0
Installing openssl 3.2.0 with native extensions
Fetching glogin 0.16.4
Installing glogin 0.16.4
Fetching temple 0.10.3
Installing temple 0.10.3
Fetching tilt 2.3.0
Installing tilt 2.3.0
Fetching haml 5.2.2
Installing haml 5.2.2
Fetching hashie 5.0.0
Installing hashie 5.0.0
Fetching multipart-post 2.4.0
Installing multipart-post 2.4.0
Fetching version_gem 1.1.3
Installing version_gem 1.1.3
Fetching snaky_hash 2.0.1
Installing snaky_hash 2.0.1
Fetching oauth 0.6.2
Installing oauth 0.6.2
Fetching jira-ruby 2.3.0
Installing jira-ruby 2.3.0
Fetching language_server-protocol 3.17.0.3
Installing language_server-protocol 3.17.0.3
Fetching timeout 0.4.1
Installing timeout 0.4.1
Fetching net-protocol 0.2.2
Installing net-protocol 0.2.2
Fetching net-imap 0.4.10
Installing net-imap 0.4.10
Fetching net-smtp 0.5.0
Installing net-smtp 0.5.0
Fetching mail 2.8.1
Installing mail 2.8.1
Fetching mocha 2.7.1
Installing mocha 2.7.1
Fetching multi_json 1.15.0
Installing multi_json 1.15.0
Fetching mustermann 3.0.0
Installing mustermann 3.0.0
Fetching racc 1.8.1
Installing racc 1.8.1 with native extensions
Fetching nokogiri 1.17.2 (x86_64-linux)
Installing nokogiri 1.17.2 (x86_64-linux)
Fetching sawyer 0.9.2
Installing sawyer 0.9.2
Fetching octokit 9.2.0
Installing octokit 9.2.0
Fetching parallel 1.26.3
Installing parallel 1.26.3
Fetching parser 3.3.6.0
Installing parser 3.3.6.0
Fetching power_assert 2.0.4
Installing power_assert 2.0.4
Fetching rack 3.1.8
Installing rack 3.1.8
Fetching rack-protection 4.0.0
Installing rack-protection 4.0.0
Fetching rack-session 2.0.0
Installing rack-session 2.0.0
Fetching rack-test 2.1.0
Installing rack-test 2.1.0
Fetching rackup 2.2.1
Installing rackup 2.2.1
Fetching rb-fsevent 0.11.2
Installing rb-fsevent 0.11.2
Fetching rb-inotify 0.10.1
Installing rb-inotify 0.10.1
Fetching regexp_parser 2.9.3
Installing regexp_parser 2.9.3
Fetching rubocop-ast 1.36.2
Installing rubocop-ast 1.36.2
Fetching ruby-progressbar 1.13.0
Installing ruby-progressbar 1.13.0
Fetching rubocop 1.69.2
Installing rubocop 1.69.2
Fetching rubocop-rspec 3.3.0
Installing rubocop-rspec 3.3.0
Fetching ruby-fann 2.0.2
Installing ruby-fann 2.0.2 with native extensions
Fetching sass-listen 4.0.0
Installing sass-listen 4.0.0
Fetching sass 3.7.4
Installing sass 3.7.4
Fetching sentry-raven 3.1.2
Installing sentry-raven 3.1.2
Fetching simplecov-html 0.12.3
Installing simplecov-html 0.12.3
Fetching simplecov_json_formatter 0.1.4
Installing simplecov_json_formatter 0.1.4
Fetching simplecov 0.22.0
Installing simplecov 0.22.0
Fetching simplecov-cobertura 2.1.0
Installing simplecov-cobertura 2.1.0
Fetching sinatra 4.0.0
Installing sinatra 4.0.0
Fetching sinatra-contrib 4.0.0
Installing sinatra-contrib 4.0.0
Fetching sprockets 4.2.1
Installing sprockets 4.2.1
Fetching test-unit 3.6.4
Installing test-unit 3.6.4
Fetching webrick 1.9.1
Installing webrick 1.9.1
Bundle complete! 33 Gemfile dependencies, 106 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from httparty:
When you HTTParty, you must party hard!
Post-install message from oauth:

You have installed oauth version 0.6.2, congratulations!

Non-commercial support for the 0.6.x series will end by April, 2024. Please upgrade to 1.0.x as soon as possible!
The only breaking change will be dropped support for Ruby 2.4, 2.5, and 2.6.

Please see:
• https://github.com/oauth-xx/oauth-ruby/blob/main/SECURITY.md

Note also that I am, and this project is, in the process of leaving Github.
I wrote about some of the reasons here:
• https://dev.to/galtzo/im-leaving-github-50ba

If you are a human, please consider a donation as I move toward supporting myself with Open Source work:
• https://liberapay.com/pboling
• https://ko-fi.com/pboling
• https://patreon.com/galtzo

If you are a corporation, please consider supporting this project, and open source work generally, with a TideLift subscription.
• https://tidelift.com/funding/github/rubygems/oauth
• Or hire me. I am looking for a job!

Please report issues, and support the project!

Thanks, |7eter l-|. l3oling
Post-install message from sass:

Ruby Sass has reached end-of-life and should no longer be used.

* If you use Sass as a command-line tool, we recommend using Dart Sass, the new
  primary implementation: https://sass-lang.com/install

* If you use Sass as a plug-in for a Ruby web framework, we recommend using the
  sassc gem: https://github.com/sass/sassc-ruby#readme

* For more details, please refer to the Sass blog:
  https://sass-lang.com/blog/posts/7828841

Post-install message from sentry-raven:
`sentry-raven` is deprecated! Please migrate to `sentry-ruby`

See https://docs.sentry.io/platforms/ruby/migration for the migration guide.

bundle outdated
Fetching gem metadata from https://rubygems.org/..........
Resolving dependencies...

Gem                    Current   Latest    Requested  Groups
activesupport          7.1.3     8.0.0.1
aws-partitions         1.1017.0  1.1022.0
aws-sdk-dynamodb       1.111.0   1.132.0   = 1.111.0  default
concurrent-ruby        1.2.3     1.3.4
date                   3.3.4     3.4.1
docile                 1.4.0     1.4.1
drb                    2.2.0     2.2.1
faraday-net_http       3.3.0     3.4.0
ffi                    1.16.3    1.17.0
haml                   5.2.2     6.3.0     = 5.2.2    default
i18n                   1.14.1    1.14.6
jwt                    2.7.1     2.9.3
minitest               5.22.2    5.25.4
multipart-post         2.4.0     2.4.1
mustermann             3.0.0     3.0.3
net-http               0.4.1     0.6.0
net-imap               0.4.10    0.5.1
oauth                  0.6.2     1.1.0
public_suffix          5.1.1     6.0.1
rack-protection        4.0.0     4.1.1
rb-inotify             0.10.1    0.11.1
rexml                  3.3.6     3.3.9
simplecov-html         0.12.3    0.13.1
sinatra                4.0.0     4.1.1     = 4.0.0    default
sinatra-contrib        4.0.0     4.1.1     = 4.0.0    default
tilt                   2.3.0     2.4.0
timeout                0.4.1     0.4.2
unicode-display_width  2.6.0     3.1.2
uri                    0.13.1    1.0.2
version_gem            1.1.3     1.1.4
Some dependencies are outdated
Test config is absent
Test config is absent
Test config is absent
Test config is absent
Test config is absent
Test config is absent
Cannot do operations on a non-existent table
DynamoDB Local table: ACTIVE
DynamoDB Local is running in PID 2320
To use retry middleware with Faraday v2.0+, install `faraday-retry` gem
+ set -x && set -e && set -o pipefail && ruby -e "print RUBY_VERSION"
+ set -x && set -e && set -o pipefail && git --version | cut -d" " -f 3
Coverage report generated for Unit Tests to /home/r/repo/coverage/coverage.xml. 456 / 1307 LOC (34.89%) covered
Loaded suite /usr/local/rvm/gems/ruby-3.2.2/gems/rake-13.2.1/lib/rake/rake_test_loader
Started
/0m+2set -x && set -e && set -o pipefail && (sort /tmp/0pdd-done.txt 2>/dev/null || echo '')    | uniq
\0m+2set -x && set -e && set -o pipefail && (sort /tmp/0pdd-done.txt 2>/dev/null || echo '')    | uniq
|0m+2set -x && set -e && set -o pipefail && echo "Host *" > ~/.ssh/config;echo "  StrictHostKeyChecking no" >> ~/.ssh/config;echo "  UserKnownHostsFile=~/.ssh/known_hosts" >> ~/.ssh/config;chmod -R 600 ~/.ssh/*
+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
O0m34m
===============================================================================
Omission: 44;37;1momitted.0m [test_connects_to_aws_dynamo(CredentialsTest)]
/home/r/repo/test/test_credentials.rb:129:in `config'
===============================================================================
O0m
===============================================================================
Omission: 44;37;1momitted.0m [test_connects_to_aws_s3(CredentialsTest)]
/home/r/repo/test/test_credentials.rb:129:in `config'
===============================================================================
O0m
===============================================================================
Omission: 44;37;1momitted.0m [test_connects_to_git_via_ssh(CredentialsTest)]
/home/r/repo/test/test_credentials.rb:129:in `config'
===============================================================================
O0m
===============================================================================
Omission: 44;37;1momitted.0m [test_connects_to_github(CredentialsTest)]
/home/r/repo/test/test_credentials.rb:129:in `config'
===============================================================================
O0m
===============================================================================
Omission: 44;37;1momitted.0m [test_sends_email_via_smtp(CredentialsTest)]
/home/r/repo/test/test_credentials.rb:129:in `config'
===============================================================================
\0m+2set -x && set -e && set -o pipefail && set +x; echo hello
|0m+mset -x && set -e && set -o pipefail && echo 123
/0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-j6ye62'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-j6ye62/repo /tmp/test20241212-2401-j6ye62/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtajZ5ZTYyL3JlcG8
+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-j6ye62/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtajZ5ZTYyL3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
O0m34m
===============================================================================
Omission: 44;37;1momitted.0m [test_doesnt_touch_crlf(TestGitRepo)]
/home/r/repo/test/test_git_repo.rb:141:in `test_doesnt_touch_crlf'
===============================================================================
+ set -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-9qcxzm'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-9qcxzm/repo /tmp/test20241212-2401-9qcxzm/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtOXFjeHptL3JlcG8
+ set -x && set -e && set -o pipefail &&
        set -e
        cd '/tmp/test20241212-2401-9qcxzm/repo'
        echo '...@todoBad puzzle' > z1.txt
        echo '@todo #1 Good puzzle' > z2.txt
        git add z1.txt z2.txt
        git commit --quiet --amend --message 'zz'

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-9qcxzm/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtOXFjeHptL3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
\0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-nupfmt'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-nupfmt/repo /tmp/test20241212-2401-nupfmt/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtbnVwZm10L3JlcG8
|0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-zqerei'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-zqerei/repo /tmp/test20241212-2401-zqerei/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtenFlcmVpL3JlcG8
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-zqerei/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtenFlcmVpL3JlcG8 && pdd -v -f /tmp/20241212-2401-bi5bay
/0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-nmecvn'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-nmecvn/repo /tmp/test20241212-2401-nmecvn/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtbm1lY3ZuL3JlcG8
+ set -x && set -e && set -o pipefail &&
        set -e
        cd '/tmp/test20241212-2401-nmecvn/repo'
        echo 'hello, dude!' > z.txt
        git add z.txt
        git commit --quiet --amend --message 'new fix'

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-nmecvn/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtbm1lY3ZuL3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
-0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-wsdv2x'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-wsdv2x/repo /tmp/test20241212-2401-wsdv2x/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtd3NkdjJ4L3JlcG8
+ set -x && set -e && set -o pipefail &&
        set -e
        cd '/tmp/test20241212-2401-wsdv2x/repo'
        git checkout -b temp
        git branch -D master
        git checkout --orphan master
        echo 'hello, new!' >> z.txt && git add z.txt && git commit -m ddd
        echo 'hello, new!' >> z.txt && git add z.txt && git commit -m ddd
        echo 'hello, new!' >> z2.txt && git add z2.txt && git commit -m ddd

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-wsdv2x/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtd3NkdjJ4L3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
\0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-25pmz'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-25pmz/repo /tmp/test20241212-2401-25pmz/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtMjVwbXovcmVwbw
+ set -x && set -e && set -o pipefail &&
        set -e
        cd '/tmp/test20241212-2401-25pmz/repo'
        git reset HEAD~2
        git reset --hard
        git clean -fd
        echo 'hello, dude!' >> z.txt && git add z.txt && git commit -m ddd
        echo 'hello, dude!' >> z.txt && git add z.txt && git commit -m ddd
        echo 'hello, dude!' >> z.txt && git add z.txt && git commit -m ddd

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-25pmz/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtMjVwbXovcmVwbw && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
|0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-ej7mnu'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-ej7mnu/repo /tmp/test20241212-2401-ej7mnu/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtZWo3bW51L3JlcG8
+ set -x && set -e && set -o pipefail &&
        set -e
        cd '/tmp/test20241212-2401-ej7mnu/repo'
        git checkout -b temp
        git branch -D master
        git checkout --orphan master
        echo 'hello, dude!' > new.txt
        git add new.txt
        git commit --quiet -am 'new master'

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-ej7mnu/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtZWo3bW51L3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
/0m+mset -x && set -e && set -o pipefail &&
      set -e
      cd '/tmp/test20241212-2401-tqfaxj'
      git init --quiet repo
      cd repo
      git config user.email git@0pdd.com
      git config user.name 0pdd
      echo 'foo: hello' > .0pdd.yml
      git add .0pdd.yml
      git commit --quiet -am 'add line'
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z
      echo 'hello, world!' >> z.txt && git add z.txt && git commit -am z

+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && git clone --depth=1 --quiet file:///tmp/test20241212-2401-tqfaxj/repo /tmp/test20241212-2401-tqfaxj/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtdHFmYXhqL3JlcG8
+ set -x && set -e && set -o pipefail && GIT=$(git --version);if [[ "${GIT}" != "git version 2."* ]];then echo "Git is too old: ${GIT}";exit -1;fi
+ set -x && set -e && set -o pipefail && cd /tmp/test20241212-2401-tqfaxj/ZmlsZTovLy90bXAvdGVzdDIwMjQxMjEyLTI0MDEtdHFmYXhqL3JlcG8 && master=master && git config --local core.autocrlf false && git reset origin/${master} --hard --quiet && git clean --force -d && git fetch --quiet && git checkout origin/${master} && git rebase --abort || true && git rebase --autostash --strategy-option=theirs origin/${master}
\0mInvitation for @google accepted
Invitation for @microsoft accepted
|0mRepository invitation 0 accepted
Repository invitation 1 accepted
/0mEmail sent to admin@0pdd.com
Finished in 3.571064751 seconds.
34m-------------------------------------------------------------------------------0m
96 tests, 162 assertions, 0 failures, 0 errors, 0 pendings, 6 omissions, 0 notifications
100% passed
34m-------------------------------------------------------------------------------0m
26.88 tests/s, 45.36 assertions/s
Running RuboCop...
DynamoDB Local killed in PID 2320
Inspecting 91 files
0m0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m

91 files inspected, 32mno offenses0m detected
Running xcop...
Inspecting 17 files...
32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m
17 files checked, everything looks 32mpretty0m
grep -q -r '2024'     --include '*.rb'     --include '*.txt'     --include 'Rakefile'     .
DynamoDB Local killed in PID 2320
+ mv /home/r/repo .
++ whoami
+ chown -R root repo
+ '[' -n '' ']'
++ whoami
+ sudo chown -R ubuntu repo
+ cd repo
+ git push origin master
remote:
remote: GitHub found 2 vulnerabilities on yegor256/0pdd's default branch (2 moderate). To find out more, visit:
remote:      https://github.com/yegor256/0pdd/security/dependabot
remote:
To github.com:yegor256/0pdd.git
   0e48c9f..50fab7f  master -> master
container a2728435674743a73bc4dfcf7d7564942783aa28e447fe77bd6ee6913706db99 is dead
Thu Dec 12 23:35:29 UTC 2024